## com.baidubce.services.vod.model
Class PublishMediaResourceRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.vod.model.PublishMediaResourceRequest

    public class PublishMediaResourceRequest

extends AbstractBceRequest

Constructor Summary
`PublishMediaResourceRequest()`

Method Summary
`String` `getMediaId()`
`void` `setMediaId(String mediaId)`
`String` `toString()`
`PublishMediaResourceRequest` `withMediaId(String mediaId)`
`AbstractBceRequest` `withRequestCredentials(BceCredentials credentials)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PublishMediaResourceRequest

    public PublishMediaResourceRequest()

Method Detail

### getMediaId

    public String getMediaId()

### setMediaId

    public void setMediaId(String mediaId)

### withMediaId

    public PublishMediaResourceRequest withMediaId(String mediaId)

### withRequestCredentials

    public AbstractBceRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.